using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using BMA.EHR.Recurit.Exam.Service.Models;

namespace BMA.EHR.Domain.Models.Placement
{
    public class PlacementEducation : EntityBaseNoIsActive
    {
        [Required, Comment("Id ผู้สมัคร")]
        public virtual PlacementProfile? PlacementProfile { get; set; }
        [Comment("Idวุฒิที่ได้รับ")]
        public Guid? EducationLevelId { get; set; }
        [Comment("วุฒิที่ได้รับ")]
        public string? EducationLevelName { get; set; }
        [MaxLength(1000), Comment("สถานศึกษา")]
        public string? Institute { get; set; }
        [MaxLength(200), Comment("วุฒิการศึกษา")]
        public string? Degree { get; set; }
        [MaxLength(200), Comment("สาขาวิชา/ทาง")]
        public string? Field { get; set; }
        [MaxLength(20), Comment("เกรดเฉลี่ย")]
        public string? Gpa { get; set; }
        [MaxLength(1000), Comment("ประเทศ")]
        public string? Country { get; set; }
        [MaxLength(1000), Comment("ระยะเวลา")]
        public string? Duration { get; set; }
        [MaxLength(1000), Comment("ข้อมูลการติดต่อ")]
        public string? Other { get; set; }
        [MaxLength(1000), Comment("ทุน")]
        public string? FundName { get; set; }
        [Comment("ระยะเวลาหลักสูตร")]
        public int? DurationYear { get; set; }
        [Comment("วันที่สำเร็จการศึกษา")]
        public DateTime? FinishDate { get; set; }
        [Comment("ประเภทช่วงเวลาการศึกษา")]
        public bool? IsDate { get; set; }
        [Comment("ตั้งแต่")]
        public DateTime? StartDate { get; set; }
        [Comment("ถึง")]
        public DateTime? EndDate { get; set; }
        // [Comment("Id เป็นวุฒิการศึกษาในตำแหน่ง")]
        // public PositionPath? PositionPath { get; set; }
        [Comment("เป็นวุฒิศึกษาในตำแหน่ง")]
        public bool? IsEducation { get; set; }
    }
}
